Loading...
Searching...
No Matches
CrashHandler.h File Reference

Header file for CrashHandler class. More...

`#include <cstdlib>`
`#include <stdio.h>`
`#include <signal.h>`
`#include <execinfo.h>`
`#include <errno.h>`
`#include <cxxabi.h>`
`#include "ZmqLogger.h"`

Go to the source code of this file.

## Classes

class | openshot::CrashHandler
| This class is designed to catch exceptions thrown by libc (SIGABRT, SIGSEGV, SIGILL, SIGFPE) More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for CrashHandler class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file CrashHandler.h.